org.eclipse.oomph.p2

## Enum RepositoryType

- java.lang.Object
- - java.lang.Enum<RepositoryType>
  - - org.eclipse.oomph.p2.RepositoryType

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryType>, Enumerator

      public enum RepositoryType
      extends Enum<RepositoryType>
      implements Enumerator

  A representation of the literals of the enumeration 'Repository Type', and utility methods for working with them.
  See Also:
    `P2Package.getRepositoryType()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTIFACT` The 'Artifact' literal object.
    `COMBINED` The 'Combined' literal object.
    `METADATA` The 'Metadata' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARTIFACT_VALUE` The 'Artifact' literal value.
    `static int` | `COMBINED_VALUE` The 'Combined' literal value.
    `static int` | `METADATA_VALUE` The 'Metadata' literal value.
    `static List<RepositoryType>` | `VALUES` A public read-only list of all the 'Repository Type' enumerators.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryType` | `get(int value)` Returns the 'Repository Type' literal with the specified integer value.
    `static RepositoryType` | `get(String literal)` Returns the 'Repository Type' literal with the specified literal value.
    `static RepositoryType` | `getByName(String name)` Returns the 'Repository Type' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static RepositoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METADATA

          public static final RepositoryType METADATA

      The 'Metadata' literal object.
      See Also:
        `METADATA_VALUE`
      Generated
      Ordered

    - #### ARTIFACT

          public static final RepositoryType ARTIFACT

      The 'Artifact' literal object.
      See Also:
        `ARTIFACT_VALUE`
      Generated
      Ordered

    - #### COMBINED

          public static final RepositoryType COMBINED

      The 'Combined' literal object.
      See Also:
        `COMBINED_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### METADATA_VALUE

          public static final int METADATA_VALUE

      The 'Metadata' literal value.

      If the meaning of 'Metadata' literal object isn't clear, there really should be more of a description here...

      See Also:
        `METADATA`, Constant Field Values
      Generated
      Model
        name="Metadata"
      Ordered

    - #### ARTIFACT_VALUE

          public static final int ARTIFACT_VALUE

      The 'Artifact' literal value.

      If the meaning of 'Artifact' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ARTIFACT`, Constant Field Values
      Generated
      Model
        name="Artifact"
      Ordered

    - #### COMBINED_VALUE

          public static final int COMBINED_VALUE

      The 'Combined' literal value.

      If the meaning of 'Combined' literal object isn't clear, there really should be more of a description here...

      See Also:
        `COMBINED`, Constant Field Values
      Generated
      Model
        name="Combined"
      Ordered

    - #### VALUES

          public static final List<RepositoryType> VALUES

      A public read-only list of all the 'Repository Type' enumerators.
      Generated

  - ### Method Detail

    - #### values

          public static RepositoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryType c : RepositoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static RepositoryType get(String literal)

      Returns the 'Repository Type' literal with the specified literal value.
      Generated

    - #### getByName

          public static RepositoryType getByName(String name)

      Returns the 'Repository Type' literal with the specified name.
      Generated

    - #### get

          public static RepositoryType get(int value)

      Returns the 'Repository Type' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<RepositoryType>`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html